Skip to content

Gets all of the fees in the system.

Request

This method will scan all fees and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/certifications/certifications-v1/fees/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The feeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bundled_productsArray of objects, non-emptyrequired
bundled_products_inventory_handlingstring(Bundled Products Inventory Handling)

Whether to track inventory for the entire bundle, or for each product separately

Enum:"bundle""each product"
business_unit_idstring(Business Unit)required

The business unit of the product

cancellation_feenumber, (double)(Cancellation Fee)

Cancellation fees associated with this product

custom_field_valuesArray of objects(Custom Field Values)
enable_bundled_productsboolean(Enable Bundled Products)

Whether to enable bundled products

enable_cancellation_feesboolean(Enable Cancellation Fees)

Whether or not cancellation fees are applicable

enable_purchasing_eligibilityboolean(Enable Purchasing Eligibility)

If set, purchases of this merchandise are restricted

foreign_currency_pricesArray of objects
idstring(ID)/^[\w|-]+$/required

The unique, string identifier of this miscellaneous product

installment_plan_optionsArray of objects, non-emptyrequired
is_activeboolean(Is Active)

Whether this product is active/used

member_pricenumber, (double)(Member Price)

The price of the product for an active member

namestring(Name)required

The name of the miscellaneous product

notesstring(Notes)

Notes

portal_optionsobject(Portal Options)
pricenumber, (double)(Price)required

The price of the product

publish_to_portalboolean(Publish To Portal)

Whether or not this product should be available in the portal

purchasing_eligibility_criteriaobject(Purchasing Eligibility Criteria)required
sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

typestring(Type)

The product type

Value:"certifications-fees"
]
Response
[ { "allow_customer_to_choose_installment_plan": true, "bundled_products": [ … ], "bundled_products_inventory_handling": "bundle", "business_unit_id": "string", "cancellation_fee": 0.1, "custom_field_values": [ … ], "enable_bundled_products": true, "enable_cancellation_fees": true, "enable_purchasing_eligibility": true, "foreign_currency_prices": [ … ], "id": "string", "installment_plan_options": [ … ], "is_active": true, "member_price": 0.1, "name": "string", "notes": "string", "portal_options": { … }, "price": 0.1, "publish_to_portal": true, "purchasing_eligibility_criteria": { … }, "sys_bulk_load_id": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_locked": true, "sys_version": 0.1, "type": "certifications-fees" } ]